summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Mauro Giachero <mauro dot giachero at gmail dot com>2010-05-11 22:53:41 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:41 +0200
commitc9bbf5d47fecf839a39a26f2dfc10c362a3f3c7c (patch)
tree3ce56735b014c28a90eb045cdd8c106b2da3648a /development
parent0694d5c922d181daab2aa3346f8f0738db34f5c8 (diff)
downloadslackbuilds-c9bbf5d47fecf839a39a26f2dfc10c362a3f3c7c.tar.gz
slackbuilds-c9bbf5d47fecf839a39a26f2dfc10c362a3f3c7c.tar.xz
development/subversion-bindings: Added to 12.1 repository
Diffstat (limited to 'development')
-rw-r--r--development/subversion-bindings/README8
-rw-r--r--development/subversion-bindings/slack-desc19
-rw-r--r--development/subversion-bindings/subversion-bindings.SlackBuild117
-rw-r--r--development/subversion-bindings/subversion-bindings.info8
4 files changed, 152 insertions, 0 deletions
diff --git a/development/subversion-bindings/README b/development/subversion-bindings/README
new file mode 100644
index 0000000000..2bfe5d3aaa
--- /dev/null
+++ b/development/subversion-bindings/README
@@ -0,0 +1,8 @@
+This package adds the Subversion bindings for Perl, Python and Ruby.
+
+These are actually part of the Subversion source distribution, but aren't
+availabile in the Slackware package since they require Swig, which is not
+part of Slackware. The JavaHL bindings are NOT installed by this script.
+You will need this package to use "git svn".
+
+Swig is required to build this package.
diff --git a/development/subversion-bindings/slack-desc b/development/subversion-bindings/slack-desc
new file mode 100644
index 0000000000..e8d538cb10
--- /dev/null
+++ b/development/subversion-bindings/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------|
+subversion-bindings: Language bindings for Subversion
+subversion-bindings:
+subversion-bindings: Subversion is a version control system which allows you to
+subversion-bindings: keep old versions of files and directories and keep a log
+subversion-bindings: of who, when, and why changes occurred.
+subversion-bindings:
+subversion-bindings: This package contains bindings enabling SVN usage from
+subversion-bindings: several programming languages.
+subversion-bindings:
+subversion-bindings:
+subversion-bindings:
diff --git a/development/subversion-bindings/subversion-bindings.SlackBuild b/development/subversion-bindings/subversion-bindings.SlackBuild
new file mode 100644
index 0000000000..cad138c3b0
--- /dev/null
+++ b/development/subversion-bindings/subversion-bindings.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for Subversion-bindings
+
+# Written by Mauro Giachero (mauro dot giachero at gmail dot com) using:
+# - the Slackware build script for Subversion 1.5.4
+# - the Slackware build script for Pilot-link 0.12.3
+# - the SlackBuilds.org template
+# as starting points.
+
+# Copyright 2008 Mauro Giachero
+# Copyright 2008 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=subversion
+PRGNAM=subversion-bindings
+VERSION=${VERSION:-1.4.6}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# This should work both with Subversion 1.4.6 (S12.1) and 1.5.4 (-current, as of now)
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --enable-shared \
+ --disable-static \
+ --with-apr=/usr \
+ --with-apr-util=/usr \
+ --with-apxs=/usr/sbin/apxs \
+ --with-neon=/usr \
+ --with-zlib=/usr \
+ --with-pic \
+ --with-ssl \
+ --build=$ARCH-slackware-linux
+
+# Python bindings
+make swig-py
+make install-swig-py DESTDIR=$PKG
+
+# Perl bindings
+make swig-pl
+make install-swig-pl DESTDIR=$PKG
+
+# Ruby bindings
+make swig-rb
+make install-swig-rb DESTDIR=$PKG
+
+# Get rid of perllocal.pod
+rm -f $PKG/usr/lib/perl5/$(perl -v | head -2 | tail -1 | cut -f 2 -d v | cut -f 1 -d ' ')/*/perllocal.pod
+# Something doesn't honor --mandir
+mv $PKG/usr/share/man $PKG/usr
+# Remove empty folders
+find $PKG -type d |tac |xargs rmdir --ignore-fail-on-non-empty
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUGS CHANGES COMMITTERS COPYING* HACKING INSTALL README TRANSLATING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/subversion-bindings/subversion-bindings.info b/development/subversion-bindings/subversion-bindings.info
new file mode 100644
index 0000000000..4baaeaaf8b
--- /dev/null
+++ b/development/subversion-bindings/subversion-bindings.info
@@ -0,0 +1,8 @@
+PRGNAM="subversion-bindings"
+VERSION="1.4.6"
+HOMEPAGE="http://subversion.tigris.org"
+DOWNLOAD="ftp://mirror.switch.ch/mirror/slackware/slackware-12.1/source/d/subversion/subversion-1.4.6.tar.bz2"
+MD5SUM="9c7cf517362c1c9332b610339e5cce6b"
+MAINTAINER="Mauro Giachero"
+EMAIL="mauro dot giachero at gmail dot com"
+APPROVED="rworkman"